com.sun.java.xml.ns.javaee

## Class ModuleType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.ModuleType

-     public class ModuleType
      extends Object

  The moduleType defines a single Java EE module and contains a connector, ejb, java, or web element, which indicates the module type and contains a path to the module file, and an optional alt-dd element, which specifies an optional URI to the post-assembly version of the deployment descriptor.

  Java-Klasse für moduleType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="moduleType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <choice>
                 <element name="connector" type="{http://java.sun.com/xml/ns/javaee}pathType"/>
                 <element name="ejb" type="{http://java.sun.com/xml/ns/javaee}pathType"/>
                 <element name="java" type="{http://java.sun.com/xml/ns/javaee}pathType"/>
                 <element name="web" type="{http://java.sun.com/xml/ns/javaee}webType"/>
               </choice>
               <element name="alt-dd" type="{http://java.sun.com/xml/ns/javaee}pathType" minOccurs="0"/>
             </sequence>
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected PathType` | `altDd`
    `protected PathType` | `connector`
    `protected PathType` | `ejb`
    `protected String` | `id`
    `protected PathType` | `java`
    `protected WebType` | `web`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModuleType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PathType` | `getAltDd()` Ruft den Wert der altDd-Eigenschaft ab.
    `PathType` | `getConnector()` Ruft den Wert der connector-Eigenschaft ab.
    `PathType` | `getEjb()` Ruft den Wert der ejb-Eigenschaft ab.
    `String` | `getId()` Ruft den Wert der id-Eigenschaft ab.
    `PathType` | `getJava()` Ruft den Wert der java-Eigenschaft ab.
    `WebType` | `getWeb()` Ruft den Wert der web-Eigenschaft ab.
    `void` | `setAltDd(PathType value)` Legt den Wert der altDd-Eigenschaft fest.
    `void` | `setConnector(PathType value)` Legt den Wert der connector-Eigenschaft fest.
    `void` | `setEjb(PathType value)` Legt den Wert der ejb-Eigenschaft fest.
    `void` | `setId(String value)` Legt den Wert der id-Eigenschaft fest.
    `void` | `setJava(PathType value)` Legt den Wert der java-Eigenschaft fest.
    `void` | `setWeb(WebType value)` Legt den Wert der web-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### connector

          protected PathType connector

    - #### ejb

          protected PathType ejb

    - #### java

          protected PathType java

    - #### web

          protected WebType web

    - #### altDd

          protected PathType altDd

    - #### id

          protected String id

  - ### Constructor Detail

    - #### ModuleType

          public ModuleType()

  - ### Method Detail

    - #### getConnector

          public PathType getConnector()

      Ruft den Wert der connector-Eigenschaft ab.
      Returns:
        possible object is `PathType`

    - #### setConnector

          public void setConnector(PathType value)

      Legt den Wert der connector-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `PathType`

    - #### getEjb

          public PathType getEjb()

      Ruft den Wert der ejb-Eigenschaft ab.
      Returns:
        possible object is `PathType`

    - #### setEjb

          public void setEjb(PathType value)

      Legt den Wert der ejb-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `PathType`

    - #### getJava

          public PathType getJava()

      Ruft den Wert der java-Eigenschaft ab.
      Returns:
        possible object is `PathType`

    - #### setJava

          public void setJava(PathType value)

      Legt den Wert der java-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `PathType`

    - #### getWeb

          public WebType getWeb()

      Ruft den Wert der web-Eigenschaft ab.
      Returns:
        possible object is `WebType`

    - #### setWeb

          public void setWeb(WebType value)

      Legt den Wert der web-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `WebType`

    - #### getAltDd

          public PathType getAltDd()

      Ruft den Wert der altDd-Eigenschaft ab.
      Returns:
        possible object is `PathType`

    - #### setAltDd

          public void setAltDd(PathType value)

      Legt den Wert der altDd-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `PathType`

    - #### getId

          public String getId()

      Ruft den Wert der id-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Legt den Wert der id-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015 buschmais GbR. All rights reserved.